aboutsummaryrefslogtreecommitdiffstats
path: root/main/mesa
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-20 12:16:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-20 12:16:23 +0000
commitfae35c34680a2ede4a299431eb9c3d4f610fe823 (patch)
tree4fd1823fef04ad72e8ea1cdd133e0ac907f4455b /main/mesa
parenta64ad11cea67058e1d505f9498771d69dfc4c084 (diff)
parentdfe9e3cf1e45f5238ae2e6fe96ad1a7268c621f5 (diff)
downloadaports-fae35c34680a2ede4a299431eb9c3d4f610fe823.tar.bz2
aports-fae35c34680a2ede4a299431eb9c3d4f610fe823.tar.xz
Merge http://home.dereferenced.org/~nenolod/aports
Diffstat (limited to 'main/mesa')
-rw-r--r--main/mesa/APKBUILD7
1 files changed, 6 insertions, 1 deletions
diff --git a/main/mesa/APKBUILD b/main/mesa/APKBUILD
index db4855a3be..e8e7b1fadd 100644
--- a/main/mesa/APKBUILD
+++ b/main/mesa/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=mesa
pkgver=7.8.2
-pkgrel=1
+pkgrel=3
pkgdesc="Mesa DRI OpenGL library"
url="http://www.mesa3d.org"
arch="x86 x86_64"
@@ -22,6 +22,7 @@ subpackages="$pkgname-dev
makedepends="pkgconfig libdrm-dev libxxf86vm-dev libxdamage-dev expat-dev
dri2proto xextproto libx11-dev glproto python libxt-dev"
source="ftp://ftp.freedesktop.org/pub/mesa/$pkgver/MesaLib-$pkgver.tar.bz2
+ ftp://ftp.freedesktop.org/pub/mesa/$pkgver/MesaDemos-$pkgver.tar.bz2
mesa-7.6.1-uclibc.patch
mesa-7.8-git.patch"
@@ -73,6 +74,9 @@ build() {
package() {
cd "$_builddir"
make -j1 DESTDIR="$pkgdir" install || return 1
+ mkdir -p "$pkgdir"/usr/bin
+ cp "$_builddir"/progs/xdemos/glxinfo "$pkgdir"/usr/bin/glxinfo || return 1
+ cp "$_builddir"/progs/xdemos/glxgears "$pkgdir"/usr/bin/glxgears || return 1
}
@@ -99,5 +103,6 @@ unichrome() { _mv_dri unichrome_dri; }
swrast() { _mv_dri swrast_dri; }
md5sums="6be2d343a0089bfd395ce02aaf8adb57 MesaLib-7.8.2.tar.bz2
+757d9e2e06f48b1a52848be9b0307ced MesaDemos-7.8.2.tar.bz2
8d98e15310e0f2e1520beb9e6cb6ab41 mesa-7.6.1-uclibc.patch
397c1249edcf03227697fef3f7129fe4 mesa-7.8-git.patch"